# post

## Overview

This endpoint is used for creating new tables on a dataset. Tables can only be created on unreleased versions — if the dataset has previously been released, make sure you are referencing the `next` version of the dataset in the [dataset reference](/api/referencing-resources.md).

## HTTP Request

```http
POST /api/v1/datasets/:datasetReference/tables
```

## Path parameters

<table><thead><tr><th width="302.5">Parameter</th><th></th></tr></thead><tbody><tr><td>datasetReference</td><td>A qualified reference to the dataset. See <a href="/pages/-LzsPrAlHWxazTnhQQJE">referencing resources</a> for more information.</td></tr></tbody></table>

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md)
{% endhint %}

## Request body

Provide a JSON object with information about the table.

| Property name           | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| ----------------------- | ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **name**                | **string**  | **Required.** The name of the table. Must be unique (non-word characters ignored) within the version of the dataset.                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| **uploadMergeStrategy** | **string**  | <p><strong>Optional.</strong> How to handle subsequent uploads after the first version. Defaults to "append". Must be one of:</p><ul><li><strong>append</strong> - Uploads in future versions will append to the previous version of the table.</li><li><strong>replace</strong> - Uploads in future versions will replace all data from the previous version of the table.</li></ul><p>The upload merge strategy can be changed at a later point via <a href="/pages/-MHCavIXVQ1fXnGEk1Hr">table.patch</a></p>                                                                                  |
| **isFileIndex**         | **boolean** | <p><strong>Optional.</strong> Default false.<br><br>Whether or not the table represents a collection of non-tabular files, with each row representing <a href="/pages/qmlBxunjxGJJqB6gXCOC">a file</a>. Index tables are also referred to as "Folders" in some parts of the user interface.<br><br>If a table is created with <code>isFileIndex=true</code>, you will be able to add files via the <a href="/pages/bbw9htTYT4Vdbseyky86">Files.post </a>method. Otherwise, for non-fileIndex tables, you can upload tabular data via <a href="/pages/-LzriKzefRRb6V7F1Lrv">Uploads.post</a>.</p> |
| **description**         | **string**  | **Optional.** A description of the table, limited to 5000 characters.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |

## Authorization

Edit access to the dataset is required. Your access token must have the following scope:

* data.edit

[Learn more about authorization.](/api/rest-api/authorization.md)

## Response body

Returns the JSON-encoded "get" representation of a[ table resource](/api/resource-definitions/table.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/tables/post.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
